OpenTTD Source: Data Fields - Variables

OpenTTD Source 15.3

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - o -

- o_dir : SaveLoadWindow
- obj : ObjectScopeResolver
- obj_len : SaveLoadParams
- object_scope : ObjectResolverObject
- occupied : RoadStop::Entry
- ocean_speed_frac : ShipVehicleInfo
- offs : TileHighlightData
- offs_start_map : SpriteAlignerWindow
- offset : Blitter_32bppOptimized::SpriteData, Blitter_8bppOptimized::SpriteData, BmpInfo, FaceVar, LoggedChangeGRFMoved, OldChunks, SpriteBounds, StringParameters, UnmappedChoiceList
- offsets : LanguagePackHeader
- oil_refinery : ExtraPaletteValues
- oil_refinery_limit : GameCreationSettings
- ok_button : QueryString
- okay : PBSTileInfo
- old_act : TransportedCargoStat< Tstorage >
- old_coord : MutableSpriteCache
- old_economy : CompanyProperties
- old_font : Win32FontCache
- old_max : TransportedCargoStat< Tstorage >
- old_max_loan_unround : Economy
- old_max_loan_unround_fract : Economy
- old_orders : Vehicle
- old_refittable : ShipVehicleInfo
- old_td : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- old_tile : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >, GetNewVehiclePosResult
- old_veh : ReplaceChainItem
- old_vehicle_warn : GUISettings
- oldval : LoggedChangeSettingChanged
- on : DropDownToggle< TBase, TEnd >
- open : NewsSettings
- open_nodes : NodeList< Titem, Thash_bits_open, Thash_bits_closed >
- open_queue : NodeList< Titem, Thash_bits_open, Thash_bits_closed >
- openttd_id : LanguageMap::Mapping
- openttd_info : InternalSocialIntegrationPlugin
- opt : GetOptData
- options : DropdownWindow, GetOptData
- OPUS_SAMPLE_BITS : SoundLoader_Opus
- OPUS_SAMPLE_RATE : SoundLoader_Opus
- order : GameSettings, Listing, OldOrderSaveLoadItem, ParentSpriteToDraw, RefitWindow
- order_arrow_width : BaseVehicleListWindow
- order_over : OrdersWindow
- order_review_system : GUISettings
- orders : OrderBackup, OrderList, Vehicle
- orientation : RoadStopPickerSelection
- orig_list : NewGRFWindow
- orig_res : VideoDriver_Cocoa
- orig_str : OskWindow
- origin : Path, SpriteBounds
- origin_tile : CYapfReserveTrack< Types >
- ORIGINAL_BASE_YEAR : TimerGameConst< T >
- ORIGINAL_END_YEAR : TimerGameConst< T >
- original_image_index : Engine
- ORIGINAL_MAX_YEAR : TimerGameConst< T >
- original_md5sum : GRFConfig
- os2_bmp : BmpInfo
- os_handle : FontCacheSubSetting
- osk_activation : GUISettings
- other_accepted : CargoesField
- other_company_name : CompanyNewsInformation
- other_produced : CargoesField
- our_public_key : X25519AuthenticationHandler
- our_secret_key : X25519AuthenticationHandler
- outersize : TileHighlightData
- outgoing_queue : ServerNetworkGameSocketHandler
- output_buffer : OutputStore
- output_stream : FileWriter
- overdrawn_ops : Squirrel
- override_end : MusicSongInfo
- override_id : SubstituteGRFFileProps
- override_start : MusicSongInfo
- overtaking : RoadVehicle
- overtaking_ctr : RoadVehicle
- own_name : LanguagePackHeader
- owner : BaseStation, CommandCost, Group, Industry, TileDesc, Vehicle, Window
- owner_type : TileDesc